Package in.cdac.medinfo.csnotk.csnolib.icdmap

## Class ICDMapAgent

- java.lang.Object
- - in.cdac.medinfo.csnotk.csnolib.icdmap.ICDMapAgent

-     public class ICDMapAgent
      extends java.lang.Object

  Maps SNOMED CT ID (conceptId) to ICD-10 code.
  See Also:
    `Record`, `MapResult`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ICDMapAgent()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `createICDMapdb​(java.lang.String snomedIntDirPath, boolean overridedb)` | This method creates database for SNOMED CT to ICD map
    `void` | `initICDDB​(java.lang.String jdbc_url_icd, java.lang.String icd_db_username, java.lang.String icd_db_password, java.lang.String icd_jdbc_driver_class, java.lang.String icd_jar_name, java.lang.String icd_query)` | This method initialize the icd database properties to show terms along with icd code
    `MapResult` | `map​(Record mapInput)` | Maps SNOMED CT ID of provided record to ICD-10 code.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ICDMapAgent

          public ICDMapAgent()

  - ### Method Detail

    - #### map

          public MapResult map​(Record mapInput)

      Maps SNOMED CT ID of provided record to ICD-10 code. For each record, check if primary SNOMED CT ID can be mapped or not and then carries out process for it. And returns MapResult having mapped ICD-10 code with mapping details.
      Parameters:
        `mapInput` - record providing diagnosis SNOMED CT ID that need to be mapped to ICD-10 code with other input fields
      Returns:
        MapResult for the input record SNOMED CT ID

    - #### createICDMapdb

          public boolean createICDMapdb​(java.lang.String snomedIntDirPath,
                                        boolean overridedb)

      This method creates database for SNOMED CT to ICD map
      Parameters:
        `snomedIntDirPath` - Directory path for SNOMED CT International Release file path example: G:\SnomedCT_InternationalRF2_PRODUCTION_20170731T150000Z\Snapshot
        `overridedb` - will override database and index if true. It should be false after database creation process

    - #### initICDDB

          public void initICDDB​(java.lang.String jdbc_url_icd,
                                java.lang.String icd_db_username,
                                java.lang.String icd_db_password,
                                java.lang.String icd_jdbc_driver_class,
                                java.lang.String icd_jar_name,
                                java.lang.String icd_query)

      This method initialize the icd database properties to show terms along with icd code
      Parameters:
        `jdbc_url_icd` - jdbc url for icd database
        `icd_db_username` - username for icd database
        `icd_db_password` - password for icd database
        `icd_jdbc_driver_class` - jdbc driver class for icd database
        `icd_jar_name` - name of jdbc connector jar for icd database
        `icd_query` - sql select query to get term from icd database table for a code